executable = jail_engine_demo
source = *.cpp units/*.cpp

windows:
	@echo off
	g++ $(source) -std=c++11 -Wall -Os -lmingw32 -lws2_32 -lSDL2main -lSDL2 -ffunction-sections -fdata-sections -Wl,--gc-sections -static-libstdc++ -Wl,-subsystem,windows -o "$(executable).exe"
	strip -s -R .comment -R .gnu.version "$(executable).exe" --strip-unneeded

windows_debug:
	@echo off
	g++ $(source) -D DEBUG -std=c++11 -Wall -lmingw32 -lws2_32 -lSDL2main -lSDL2 -static-libstdc++ -o "$(executable)_debug.exe"

macos:
	clang++ $(source) -std=c++11 -Wall -Os -lSDL2 -ffunction-sections -fdata-sections -o "$(executable)"


linux:
	g++ $(source) -std=c++11 -Wall -Os -lSDL2 -ffunction-sections -fdata-sections -Wl,--gc-sections -o "$(executable)"
	strip -s -R .comment -R .gnu.version "$(executable)" --strip-unneeded